"""
The gtfs_segments package main init file.
"""
__version__ = "0.1.0"
from .gtfs_segments import (
    get_gtfs_segments,
    pipeline_gtfs,
    process_feed)

from .utils import (
    export_segments,
    plot_hist,
    process,
    summary_stats)

from .mobility import (
    fetch_gtfs_source,
    summary_stats_mobility,
    download_latest_data,
)

from .geom_utils import view_spacings

from .route_stats import get_route_stats

from .partridge_func import get_bus_feed

__all__ = [
    "__version__",
    "get_gtfs_segments",
    "pipeline_gtfs",
    "process_feed",
    "export_segments",
    "plot_hist",
    "fetch_gtfs_source",
    "summary_stats",
    "process",
    "view_spacings",
    "summary_stats_mobility",
    "download_latest_data",
    "get_route_stats",
    "get_bus_feed",
]
